org.apache.cassandra.cql3

## Class ColumnCondition.Bound

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Bound

Direct Known Subclasses:
  ColumnCondition.CollectionInBound, ColumnCondition.UDTInBound

Enclosing class:
  ColumnCondition

    public abstract static class ColumnCondition.Bound
    extends java.lang.Object

### Field Summary

Fields
`ColumnDefinition` `column`
`Operator` `operator`

### Constructor Summary

Constructors
`protected` `Bound(ColumnDefinition column, Operator operator)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `appliesTo(Row row)` Validates whether this condition applies to `current`.
`protected boolean` `compareWithOperator(Operator operator, AbstractType<?> type, java.nio.ByteBuffer value, java.nio.ByteBuffer otherValue)` Returns true if the operator is satisfied (i.e.
`java.nio.ByteBuffer` `getCollectionElementValue()`
`protected boolean` `isSatisfiedByValue(java.nio.ByteBuffer value, Cell c, AbstractType<?> type, Operator operator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final ColumnDefinition column

#### operator

    public final Operator operator

### Constructor Detail

#### Bound

    protected Bound(ColumnDefinition column,
                    Operator operator)

### Method Detail

#### appliesTo

    public abstract boolean appliesTo(Row row)
                               throws InvalidRequestException

Validates whether this condition applies to `current`.

Throws:
  `InvalidRequestException`

#### getCollectionElementValue

    public java.nio.ByteBuffer getCollectionElementValue()

#### isSatisfiedByValue

    protected boolean isSatisfiedByValue(java.nio.ByteBuffer value,
                                         Cell c,
                                         AbstractType<?> type,
                                         Operator operator)
                                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### compareWithOperator

    protected boolean compareWithOperator(Operator operator,
                                          AbstractType<?> type,
                                          java.nio.ByteBuffer value,
                                          java.nio.ByteBuffer otherValue)
                                   throws InvalidRequestException

Returns true if the operator is satisfied (i.e. "otherValue operator value == true"), false otherwise.

Throws:
  `InvalidRequestException`